power
Device proxies

The power proxy provides an interface through which battery levels can be monitored. More...

## Classes

struct | playerc_power_t
| Power device data. More...

## Functions

PLAYERC_EXPORT playerc_power_t * | playerc_power_create (playerc_client_t *client, int index)
| Create a power device proxy. More...
PLAYERC_EXPORT void | playerc_power_destroy (playerc_power_t *device)
| Destroy a power device proxy. More...
PLAYERC_EXPORT int | playerc_power_subscribe (playerc_power_t *device, int access)
| Subscribe to the power device. More...
PLAYERC_EXPORT int | playerc_power_unsubscribe (playerc_power_t *device)
| Un-subscribe from the power device. More...

## Detailed Description

The power proxy provides an interface through which battery levels can be monitored.

## Function Documentation

PLAYERC_EXPORT playerc_power_t* playerc_power_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a power device proxy.

PLAYERC_EXPORT void playerc_power_destroy | ( | playerc_power_t * | device | ) |

Destroy a power device proxy.

PLAYERC_EXPORT int playerc_power_subscribe | ( | playerc_power_t * | device,
|  | int | access
| ) |  |

Subscribe to the power device.

PLAYERC_EXPORT int playerc_power_unsubscribe | ( | playerc_power_t * | device | ) |

Un-subscribe from the power device.

Last updated 12 September 2005 21:38:45